package com.tduck.cloud.form.service;

import cn.hutool.json.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tduck.cloud.form.entity.UserFormEntity;

import java.util.List;

/**
 * 表单表(Form)表服务接口
 *
 * @author smalljop
 * @since 2020-11-18 18:16:18
 */
public interface UserFormService extends IService<UserFormEntity> {


    /**
     * 根据key获取
     *
     * @param key
     * @return
     */
    UserFormEntity getByKey(final String key);

    void executeSql(String sql);

    String checkTable(String sql);

    List<JSONObject>getColumns(String sql);

}